using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using LZBS.Model;
using LZBS.BLL;
using LZBS.Common;

namespace LZBS.Web
{
    public partial class ProductInfo : System.Web.UI.Page
    {
        public string strProductName = "";
        public string strVersion = "";
        public string strBrand = "";
        public string strDescription = "";
        public string strImageUrl = "";
        public string strBigImage = "";
        public string strPrice = "";
        public string strMOQ = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString["ProductID"] == null)
            {
                MyMessageBox.MessageBox("非法传值", this.Page, "Index.aspx");
            }
            else
            {
                M_Product model = new M_Product();
                B_Product bll = new B_Product();
                model.ProductID = Convert.ToInt32(Request.QueryString["ProductID"].ToString());
                DataRow dr = bll.GetProductInfo(model);
                strProductName = dr["ProductName"].ToString();
                strVersion = dr["Version"].ToString();
                strBrand = dr["Brand"].ToString();
                strDescription = dr["Description"].ToString();
                strImageUrl = dr["ImageUrl"].ToString();
                strBigImage = dr["BigImage"].ToString();
                strPrice = dr["ImageUrl"].ToString();
                strMOQ = dr["MOQ"].ToString();
                if (strBigImage == "")
                    strBigImage = strImageUrl;
            }

        }
    }
}
